import { OptimizationRerunRequest, OptimizationRerunResponse, OptimizationResultResponse, OptimizationResultsAggregations, OptimizationResultsRequest } from '@bringg/types';
import Session from '../Services/Identity/Session';
export default class OptimizationResultApi {
    private readonly optimizationResultService;
    constructor(session: Session);
    load(teamId: number, requestUuid: string): Promise<OptimizationResultResponse>;
    loadAll(request: OptimizationResultsRequest): Promise<OptimizationResultsAggregations>;
    rerun(request: OptimizationRerunRequest): Promise<OptimizationRerunResponse>;
}
